Bug 64897 - gcc does not survive ef
gcc does not survive ef
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-13 20:30 EDT by Stas Sergeev
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-13 20:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2002-05-13 20:30:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.19-pre8-ac1 i686)

Description of problem:
gcc segfaults under ef (Electric Fence)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.ef gcc


Actual Results:  cc: Segmentation fault

Expected Results:  cc: no input files

Additional info:

gcc3 and kgcc both survives.
Comment 1 Jakub Jelinek 2002-05-14 12:40:37 EDT
gcc-2.96-RH uses intl/ included in it and localealias.c there is quite old,
particularly lacks the:
        * intl/localealias.c (read_alias_file): Update string pointers
        in map[] if realloc() changed the values.
change which was made in late 2000 in glibc.
Use LC_ALL=C ef gcc, that will work.
If I build an gcc-2.96-RH rpm, I'll put this in, but I don't consider this
a showstopper which would need an errata just for this.

Note You need to log in before you can comment on or make changes to this bug.